<?php
/*
Plugin Name: Register PunBB
Version: 1.2
Description: Ce plugin permet d'enregistrer automatiquement un utilisateur de PWG dans un forum PunBB. Rendez-vous dans le panneau d'administration du plugin pour finaliser les paramtres - This plugin allows to automatically register a PWG user in a PunBB forum. Go to plugin administration panel to finalize the settings. Based on original Mod by Flipflip.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=126
Author: Eric
Author URI: http://www.infernoweb.net
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

/* ******************* */
/* Class of the plugin */
/* ******************* */
class Register_PunBB
{
/* Set the administration panel of the plugin */
  function plugin_admin_menu($menu)
  {
    array_push($menu,
        array(
          'NAME' => 'Register PunBB',
          'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/reg_punbb_admin.php')
        )
      );
    return $menu;
  }

/* User adding */
  function PunBB_Adduser($register_user)
  {
  	include_once (PHPWG_ROOT_PATH.'/include/constants.php');
  	include_once (dirname(__FILE__).'/include/constants.php');
  	global $conf;
	load_conf_from_db('param like \'punbb\\_%\'');
	if ($conf['punbb_status'])
		include (dirname(__FILE__).'/reg_punbb_adduser.php');
  }

/* User deletion */
   function PunBB_Deluser($user_id)
  {
  	include_once (PHPWG_ROOT_PATH.'/include/constants.php');
  	include_once (dirname(__FILE__).'/include/constants.php');
  	global $conf;
	load_conf_from_db('param like \'punbb\\_%\'');
	if ($conf['punbb_status'])
		include (dirname(__FILE__).'/reg_punbb_deluser.php');
  }
}

$obj = new Register_PunBB(); /* class loading */

add_event_handler( 'register_user', array(&$obj, 'PunBB_Adduser') );
add_event_handler( 'delete_user', array(&$obj, 'PunBB_Deluser') );
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
set_plugin_data($plugin['id'], $obj);
?>